all:
	make h1
	make l1

h1:
	mkdir -p H1; rm -f H1/*
	\
	make get    IFO=H1 DQ=BURST_CAT3
	mv          H1/H1_BURST_CAT3.txt    		H1/HVETO_H1_O3A_SEGMENTS_MERGED.txt
	ln -sf      HVETO_H1_O3A_SEGMENTS_MERGED.txt 	H1/HVETO_H1_O3A_HIGHFREQUENCY_SEGMENTS_MERGED.txt

l1:
	mkdir -p L1; rm -f L1/*
	\
	make get    IFO=L1 DQ=BURST_CAT3
	mv          L1/L1_BURST_CAT3.txt    		L1/HVETO_L1_O3A_SEGMENTS_MERGED.txt
	ln -sf      HVETO_L1_O3A_SEGMENTS_MERGED.txt 	L1/HVETO_L1_O3A_HIGHFREQUENCY_SEGMENTS_MERGED.txt

get:
	# https://www.gw-openscience.org/timeline/
	wget https://www.gw-osc.org/timeline/segments/O3a_16KHZ_R1/$(IFO)_$(DQ)/1238166018/15811200/ -O $(IFO)/$(IFO)_$(DQ).tmp;
	cat $(IFO)/$(IFO)_$(DQ).tmp | awk '{print $$1, $$2}' > $(IFO)/$(IFO)_$(DQ).txt;	
	rm $(IFO)/$(IFO)_$(DQ).tmp;

clean:
	rm H1/*.txt
	rm L1/*.txt
